local Mockingbird = ...


---------------
--set up
---------------
Mockingbird:registerEnumValue( "RESOURCE_TYPE", "RESOURCE_STEW" )
Mockingbird:registerAssetId("icons/Stew.png", "ICON_STEW")


---------------
-- New Resource Stonesoup 
---------------

Mockingbird:register({
    DataType = "RESOURCE",
    Id = "RESOURCE_STEW",
    ResourceName = "RESOURCE_STEW_NAME",
	OrderId = 15,
    Icon = "ICON_STEW",
    ResourceTypeList = { "FOOD", "RESOURCE_STEW" },
    IsTradable = true,
    ResourceLayoutType = "CRATES",
    VillagerBuyingPrice = { Resource = "GOLD", Quantity = 1 },
    DisplayInInventory = true
})
---------------
-- Asset IDs --
---------------

Mockingbird:registerAssetId("models/markets.fbx/Prefab/Astew_Part", "PREFAB_ASTEW_PART")

Mockingbird:registerAssetId("models/containers.fbx/Prefab/Abowl_Part", "PREFAB_ABOWL_PART")

--Outfits
Mockingbird:registerAssetId("models/outfits2.fbx/Prefab/CFemaleFront", "PREFAB_STEW_FEMALE_FRONT")
Mockingbird:registerAssetId("models/outfits2.fbx/Prefab/CFemaleBelt", "PREFAB_STEW_FEMALE_BELT")
Mockingbird:registerAssetId("models/outfits2.fbx/Prefab/CMaleFront", "PREFAB_STEW_MALE_FRONT")


--------------------
-- Scaling Building Parts --
--------------------

Mockingbird:registerAssetId("models/containers.fbx/Prefab/Abowl_Part", "PREFAB_ABOWL_PART")

Mockingbird:register({ 
    DataType = "BUILDING_FUNCTION_RESOURCE_GENERATOR",
    Id = "STEW_GENERATOR_FUNCTION",
    ResourceGenerated = "RESOURCE_STEW",
    IsForConsumer = true,
    IsInfinite = false
})

Mockingbird:register({
	DataType = "BUILDING_PART",
	Id = "ABOWL_PART",
	Name = "ABOWL_NAME",
	Description = "ABOWL_DESC",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_SCALER",
		CoreObjectPrefab = "PREFAB_ROOT_PART",
		EndPart = "ABOWL",
		FillerList = {
			"TILING"
    	},
		BasementFillerList = {
			"TILING"
       	},
		MinimumScale = 2,
		IsVertical = true
	},
AssetBuildingFunction = "STEW_GENERATOR_FUNCTION"
})
Mockingbird:register({
	DataType = "BUILDING_PART",
	Id = "ABOWL",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_ABOWL_PART"
	}
})





---------------
-- Building Part: Cookcamp --
---------------
Mockingbird:register({
    DataType = "BUILDING_PART",
    Id = "ASTEW_PART",
    Name = "ASTEW_NAME",
    Description = "ASTEW_DESC",
    IsMovableWhenBuilt = true,
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_ASTEW_PART"
    },
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false,
					GRASS_CLEAR = true
				},
				Polygon = polygon.createCircle( 0.3, {0, 0}, 8 )
			}
		}
	},
	AssetBuildingFunction = "BUILDING_FUNCTION_STEWER",		
		DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.5
		}
	}
})
---------------
-- Building Function: STEWER --
---------------
Mockingbird:register({
    DataType = "BUILDING_FUNCTION_MARKET",
    Id = "BUILDING_FUNCTION_STEWER",
    Name = "BUILDING_FUNCTION_STEWER_NAME",
    IsPrivate = false,
    WorkerCapacity = 1,
    RelatedJob = { 
        Job = "JOB_STEWER", 
        Behavior = "BEHAVIOR_WORK"
    },
    TypeList = { "RESOURCE_STEW" },
    IsOverrideCapacity = true,
    CapacityPerSlot = 50,
    InputInventoryCapacity = {
    },
    ResourceListNeeded = {
    },
    ResourceProduced = {
        { Resource = "RESOURCE_STEW", Quantity = 1 },
    }
})
---------------
-- Job: STEWER --
---------------
Mockingbird:register({
	DataType = "JOB",
	Id = "JOB_STEWER",
	JobName = "JOB_STEWER_NAME",
	JobDescription = "JOB_STEWER_DESC",
	IsLockedByDefault = false,
	DefaultBehavior = "BEHAVIOR_WORK",
	-- UseWorkplaceBehavior = true,
    ProductionDelay = 20.0, -- default 30
	AssetJobProgression = "DEFAULT_JOB_PROGRESSION",
	CharacterSetup = {
		DataType = "CHARACTER_SETUP", 
--		LeftHandObject = {
--		Model = "PREFAB_TOOL_WINE_MAKER_STICK",
--		WorkAttachName = "Scroll_Anchor", 
--		WalkAttachName = "Scroll_Anchor"
--	},
      FemaleFrontList = {
            "PREFAB_STEW_FEMALE_FRONT",
        },
       FemaleBeltList = {
            "PREFAB_STEW_FEMALE_BELT",
        },     
        MaleFrontList = {
             "PREFAB_STEW_MALE_FRONT",
        },
		WalkAnimation = "WALKING",
		IdleAnimation = "MARKET_TENDER"
	}
})

Mockingbird:override({
    Id = "NEWCOMER",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_STEWER"
    }
})

Mockingbird:override({
    Id = "SERF",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_STEWER"
    }
})

Mockingbird:override({
    Id = "COMMONER",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_STEWER"
    }
})

Mockingbird:override({
    Id = "CITIZEN",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_STEWER"
    }
})